Search API 1.22 (2017-07-18):
-----------------------------
- #1710212 by drunken monkey: Added a data alteration for indexing a user's
  content.
- #2879892 by blacklabel_tom, drunken monkey: Fixed link in description of
  "Stemmer" processor.
- #2788593 by drunken monkey: Fixed error in Views query settings for specific
  setups.
- #2749963 by drunken monkey: Fixed "Index hierarchy" not having values
  numerically indexed.
- #2875793 by drunken monkey: Fixed buggy error handling in Views.
- #2860624 by drunken monkey: Fixed problem with empty words in Views fulltext
  filter.
- #2855447 by mparker17, drunken monkey: Added "Separator" option for
  aggregated fields of type "Fulltext".
- #2863445 by dbjpanda, drunken monkey: Fixed phrasing in README.txt.

Search API 1.21 (2017-02-23):
-----------------------------
- #2780341 by Berdir: Fixed passing of custom ranges to date facets.
- #2765317 by JorgenSandstrom, NWOM, drunken monkey: Added a "Last" aggregation
  type.
- #2842856 by drunken monkey: Fixed language filters for "Multiple types"
  indexes.
- #2844990 by drunken monkey: Made the "Role filter" data alteration available
  for multi-type indexes.
- #2837745 by drunken monkey, klausi: Fixed NULL tags on old serialized queries.
- #2833482 by drunken monkey: Fixed undefined constant when uninstalling facets
  module.
- #2840261 by alan-ps: Fixed usage of outdated hash functions.
- #1670420 by kyletaylored, dorficus, drunken monkey: Fixed potential fatal
  error in facet adapter's getSearchKeys() method.
- #2838075 by dsnopek: Fixed possible race condition in
  hook_system_info_alter().
- #2836687 by sarthak drupal: Fixed one doc comment typo.
- #2632880 by drunken monkey, donquixote: Added possibility to change indexed
  bundles on disabled indexes.
- #2828380 by jansete: Fixed taxonomy term access tag in Views filter.
- #2827717 by Fabien.Godineau, drunken monkey: Fixed disabling of search views
  when reverting an index.
- #2822836 by prince_zyxware: Fixed some Drupal coding standards violations.
- #2822145 by drunken monkey: Fixed problem with phrase search in Views
  fulltext filter.
- #2778261 by drunken monkey, BAHbKA: Fixed "Index items immediately"
  functionality for unindexed items.
- #2358065 by Jelle_S, graper, drunken monkey: Added the option for
  highlighting of partial matches to the processor.
- #2779159 by mark_fullmer, drunken monkey: Added a Stemmer processor.
- #2649412 by relaxnow, GoZ: Added support for minimum granularity to date
  facets.
- #2769021 by Plazik, drunken monkey: Added the generated Search API query to
  the Views preview.
- #2769877 by mfernea: Fixed database exception when filtering for anonymous
  user.

Search API 1.20 (2016-07-21):
-----------------------------
- #2731103 by drunken monkey: Fixed the default value for the taxonomy term
  filter "multiple" setting.
- #1818572 by morningtime, drunken monkey, lodey, guillaumev: Added pretty
  paths support to the Views facets block.
- #2753441 by Johnny vd Laar: Fixed translated field names in
  language-independent cache.

Search API 1.19 (2016-07-05):
-----------------------------
- #2724687 by StefanPr, drunken monkey: Fixed failed sanitization of NULL field
  values.
- #2744189 by nikolabintev, drunken monkey: Fixed highlighting for single-word
  fields.
- #2744995 by John Cook, drunken monkey: Fixed search views without pager.
- #2742053 by tunic: Fixed change notification on node access records change.
- #2733447 by jsacksick: Fixed translatability of our Views taxonomy term
  filter.
- #2720465 by drunken monkey: Fixed bundle filter's handling of entity types
  with no bundles on multi-type indexes.
- #2710893 by alan-ps, drunken monkey: Fixed creation of comment indexes when
  no nodes exist.
- #2707039 by alan-ps: Fixed indexes of flag entities with "bundles" setting.
- #2700879 by drunken monkey: Fixed breadcrumbs on index tabs.
- #1889940 by cspurk, Yaron Tal: Fixed "HTML filter" processor to recognize all
  valid HTML tags.
- #2700011 by drunken monkey: Fixed compatibility issues of facets from
  different indexes.
- #2665970 by andrei.colesnic, drunken monkey: Added "Limit list to selected
  items" exposed option support for Views taxonomy term filters.
- #2703675 by drunken monkey, heykarthikwithu: Fixed accidental assumption that
  all facets are taxonomy terms.
- #2419853 by drunken monkey: Fixed HTML filter leaves escaped entities in
  field values sometimes.

Search API 1.18 (2016-04-20):
-----------------------------
- Various security fixes – see https://www.drupal.org/node/2710063.
- #2693425 by jojyja: Fixed a typo in search_api.info.

Search API 1.17 (2016-03-14):
-----------------------------
- #2665586 by recrit, drunken monkey: Fixed parsing of invalid date facet
  filters.
- #2677900 by stefan.r, drunken monkey: Added the possibility to change date
  facet formats.
- #2678856 by stefan.r, drunken monkey: Fixed date facets showing wrong month
  on certain days.
- #2667872 by Les Lim: Added "0" to field boost options.
- #2654328 by drunken monkey, donquixote: Fixed use of "<" and ">" for open
  facet ranges.
- #2639200 by joachim: Added sorting to "related fields" select box.
- #2638740 by joachim, drunken monkey: Added a link to the index to the
  "re-indexing necessary" message.
- #2629136 by drunken monkey, deranga: Fixed wrong facet counts in edge cases
  for active OR facets.
- #2569461 by kraynuk.m, drunken monkey: Fixed existing table in update #7118.
- #2631276 by tauno: Fixed the MLT handler for multi-entity indexes.
- #2576265 by drunken monkey: Fixed view trying to search on non-fulltext field.
- #2572487 by drunken monkey: Removed operator setting for date facets.
- #2611714 by rakesh.gectcr, drunken monkey: Improved compliance with
  documentation standards.
- #2613054 by temkin: Fixed the "search-api-index" Drush command to allow
  setting further options when indexing on all indexes.
- #2611726 by Hubbs, rakesh.gectcr: Fixed several typos.
- #2603500 by drunken monkey, krishna savithraj: Fixed Views fulltext searches
  for keyword "All".
- #2529262 by kingmackenzie, stefan.r: Added an option to Views date filters to
  choose the format used by date popup.
- #2583263 by drunken monkey: Fixed Views integration in combination with
  Search API ET and similar modules.
- #2592231 by drunken monkey, balintcsaba: Fixed ignored item language when
  viewing translated items.
- #2570879 by thePanz, drunken monkey: Added sorting of remembered search IDs.
- #2565743 by drunken monkey: Fixed creation of comment indexes with specific
  bundles.
- #2563793 by drunken monkey, smitty, ReBa: Fixed Views base table definition
  for "Multiple types" indexes.
- #2567775 by joseph.olstad, drunken monkey: Fixed handling of broken HTML in
  the "HTML filter" processor.
- #2565005 by drunken monkey: Properly escape labels of "checkboxes"/"radios"
  options
- #2524314 by drunken monkey: Fixed bundle-setting for taxonomy term indexes.
- #2550599 by ACF, drunken monkey: Fixed error on entity rebuilds.

Search API 1.16 (2015-08-30):
-----------------------------
- #2502819: Fixed example code for hook_search_api_query_alter().
- #2491175 by ptmkenny, drunken monkey: Added a data alteration for filtering
  out blocked users.
- #1197538 by thePanz, k4v, drunken monkey, ayalon, nadavoid, timodwhit, becw,
  Elvar: Added support for the "Global: Random" sort in Views.
- #2520934 by drunken monkey: Added an item type for indexing several types of
  entities in one index.
- #2533096 by drunken monkey: Fixed uncaught exception when deleting a server.
- #2479453 by prics, drunken monkey: Added a Drush command to
  list/enable/disable servers.
- #2520684 by drunken monkey: Fixed "bundles" setting on indexes with "Index
  immediately".
- #2489882 by dww: Fixed Views taxonomy filter with "is (not) empty" operator
- #2447213 by drunken monkey: Fixed issues with stale field settings for MLT
  contextual filter.

Search API 1.15 (2015-06-03):
-----------------------------
- #2190627 by m1n0, drunken monkey: Fixed fatal errors for views of disabled
  indexes.
- #2448849 by cgoffin: Added "year range" option for date filters.
- #2414425 by Darren Oh, drunken monkey: Fixed backend form validation when
  adding or editing a server.
- #2450333 by drunken monkey: Added performance improvement when indexing
  entity references.
- #2450227 by StryKaizer, drunken monkey: Fixed OR facets on taxonomy terms.
- #1184610 by drunken monkey: Added option to limit indexes to specific entity
  bundles.
- #1396222 by drunken monkey: Added a "First letter" aggregation type to the
  "Aggregated fields" data alteration.
- #2412895 by drunken monkey: Fixed entity load for Views entity access check.
- #2414367 by Darren Oh, drunken monkey: Fixed detection of missing fields in
  Views.
- #2387161 by drunken monkey: Added a hook for altering search results.

Search API 1.14 (2014-12-26):
-----------------------------
- #2382385 by illusionuk, drunken monkey: Fixed error handling when using
  invalid fulltext or sort field in Views.
- #2371099 by drunken monkey: Fixed display of active "Exclude" facets.
- #1861134 by Cyberwolf, jackbravo, drunken monkey: Fixed indexing on multiple
  indexes with Drush.
- #2347367 by drunken monkey, das-peter: Fixed forgotten usages of
  $index->item_type.
- #2359201 by drunken monkey: Added a "List" option to "Aggregated fields".
- #2364247 by drunken monkey: Fixed documentation for
  SearchApiQueryFilterInterface::getFilters().
- #2364875 by Xano: Fixed Views argument handler for fulltext fields.
- #2174163 by drunken monkey: Fixed detection of field type changes by data
  alterations.
- #2305755 by drunken monkey, pfrenssen: Fixed invalidation of the stored index
  fields cache.
- #2334727 by Alex Bukach, drunken monkey: Fixed Views caching does not take
  items_per_page into account.
- #1372092 by drunken monkey: Added an error message when no service class is
  available when creating a server.
- #2305627 by drunken monkey, cpliakas: Fixed date facets not displayed when
  the configured granularity is larger than the calculated granularity.
- #2319263 by solotandem: Added easier way to subclass entity classes.
- #2278737 by drunken monkey: Fixed use of multiple Views fulltext search
  filters.

Search API 1.13 (2014-07-23):
-----------------------------
- #2281535 by areynolds, nicola85: Adapted to latest changes in Views cache
  plugins.
- #2145547 by aaronbauman: Fixed duplicated sorts (one exposed) in Views.
- #2146435 by alanmackenzie: Fixed Views paging with custom pager add-ons.
- #2278791 by drunken monkey | tksmd: Fixed excerpt when searching single CJK
  word.
- #2272983 by idflood, drunken monkey: Fixed Highlighting processor for queries
  without returned results.
- #2216345 by bacardi55, fabianderijk, drunken monkey: Fixed array to string
  conversion in Highlighting processor.

Search API 1.12 (2014-05-23):
-----------------------------
- #2265349 by drunken monkey: Marked _search_api_settings_equals() as
  deprecated.
- #2256891 by justanothermark: Fixed "0" entity labels.
- #2233749 by rjacobs, drunken monkey: Added drush support to change the server
  used by an index.
- #2219553 by drunken monkey: Fixed Views fulltext filter operators.
- #2135697 by drunken monkey: Fixed handling of HTML attributes in the
  Highlighting processor.
- #2179755 by drunken monkey, fago: Fixed whitespaces after HTML filter.
- #2204847 by drunken monkey, alanmackenzie: Fixed Views caching issues with
  pagination.
- #2198791 by drunken monkey: Fixed empty Views entity filters.
- #2195469 by freakalis, drunken monkey: Added "Exclude fields" options to
  Highlighting processor.
- #2169455 by drunken monkey: Fixed "undefined index" in
  search_api_update_7116().
- #2219563 by drunken monkey: Added __toString() methods for queries and
  filters.
- #1888174 by drunken monkey, ipallian: Fixed problems with date facets.
- #2187487 by drunken monkey: Fixed admin summary of language filter.
- #2198261 by drunken monkey: Fixed fatal error on view editing.
- #2168713 by idebr: Fixed highlighting of keys containing slashes.
- #2150779 by hefox: Fixed "Overridden" detection for index features.
- #1227702 by drunken monkey: Improved error handling.

Search API 1.11 (2013-12-25):
-----------------------------
- #1879196 by drunken monkey: Fixed invalid old indexes causing errors.
- #2155127 by drunken monkey: Clarified the scope of the "Node access" and
  "Exclude unpublished nodes" data alterations.
- #2155575 by drunken monkey: Fixed incorrect "Server index status" warnings.
- #2159011 by idebr, drunken monkey: Fixed highlighting of keywords with PCRE
  special characters.
- #2155721 by rjacobs, drunken monkey: Added support for Views' get_total_rows
  property.
- #2158873 by drumm, drunken monkey: Fixed "all of" operator of Views entity
  filter handler.
- #2156021 by jgullstr: Fixed confirm message when disabling servers.
- #2146435 by timkang: Fixed Views paging with custom pager add-ons.
- #2150347 by drunken monkey: Added access callbacks for indexes and servers.

Search API 1.10 (2013-12-09):
-----------------------------
- #2130819 by drunken monkey, Bojhan: Added UI improvements for the "View" tabs.
- #2152327 by sirtet, miro_dietiker: Fixed typo in help text for drush sapi-c.
- #2144531 by drunken monkey: Fixed cloning of queries to clone filters, too.
- #2100671 by drunken monkey: Fixed stopwords processor to ignore missing
  stopwords.
- #2139239 by drunken monkey: Fixed highlighting for the last word of a field.
- #1925114 by azinck: Fixed Views Facet Block integration with Panels.
- #2139215 by drunken monkey: Fixed $context parameter of batch callback.
- #2143659 by khiminrm: Fixed typo in update function 7116.
- #2134509 by kscheirer, drunken monkey: Removed unused variables and
  parameters.
- #2136019 by drunken monkey: Fixed mapping callback for taxonomy term facets.
- #2128001 by drunken monkey: Fixed the logic of the "contains none of these
  words" fulltext operator.
- #2128947 by stBorchert, drunken monkey: Fixed facet handling for multiple
  searches on a page.
- #2128529 by Frando, drunken monkey: Added a way for facet query type plugins
  to pass options to the search query.
- #1551302 by drunken monkey: Fixed the server tasks system.
- #2135363 by drumm, drunken monkey: Added support for Views' use_count_query()
  method.
- #1390598 by Damien Tournoud, drunken monkey: Added the concept of query filter
  tags.
- #2135255 by dww: Fixed missing pager on first page of search results.
- #1832334 by Damien Tournoud, drunken monkey: Fixed performance issues of
  Views options filter handler for huge options lists.
- #2118589 by mxr576, drunken monkey: Added node access for comment indexes.
- #1961120 by drunken monkey: Fixed Views handling of short fulltext keywords.
- #2100231 by drunken monkey: Renamed "Workflow" tab to "Filters".
- #2100193 by drunken monkey: Turned operations in overview into D8 dropbuttons.
- #2100199 by drunken monkey: Merged index tabs for a cleaner look.
- #2115127 by drunken monkey: Fixed cron indexing logic to keep the right order.
- #1750144 by jsacksick, drunken monkey: Fixed missing Boost option for custom
  fulltext field types.
- #1956650 by drunken monkey, wwhurley: Fixed trackItemChange not checking for
  empty $item_ids.
- #2100191 by drunken monkey, Bojhan: Added an admin description to the Search
  API landing page.

Search API 1.9 (2013-10-23):
----------------------------
- #2113277 by moonray, drunken monkey: Fixed date facet count for active item.
- #2086783 by drunken monkey: Removed Views field handlers for "virtual" fields.
- #2114593 by drunken monkey: Added list of floats to test module.
- #2109247 by mmikitka, drunken monkey: Exposed the status and module
  properties to Entity API.
- #2091499 by sammys, drunken monkey: Added Views contextual filter handler for
  dates.
- #2109537 by hefox, drunken monkey: Added alter hooks for workflow plugin
  definitions.
- #2102111 by sergei_brill: Added hook_search_api_views_query_alter().
- #2110315 by drumm, drunken monkey: Added specialized Views filters for users
  and terms.
- #2111273 by drunken monkey: Fixed Javascript states for exposed filter
  operator.
- #2102353 by aaronbauman: Fixed "smaller than" to read "less than".
- #2097559 by thijsvdanker: Fixed the language of created search excerpts.
- #2096275 by andrewbelcher: Fixed calling of Views pager pre/post execute
  callbacks.
- #2093023 by maciej.zgadzaj: Added Drush commands to enable and disable
  indexes.
- #2088905 by queenvictoria, drunken monkey: Fixed handling of Views
  override_path option.
- #2083481 by drunken monkey, nickgs: Added "exclude" option for facets.
- #2084953 by Yaron Tal: Fixed issue with theme initialization.
- #2075839 by leeomara, drunken monkey: Added descriptions to field lists for
  'Aggregated Fields'.

Search API 1.8 (2013-09-01):
----------------------------
- #1414048 by drunken monkey: Fixed exception in views.inc removes all Search
  API tables.
- #1921690 by drunken monkey: Fixed stale Views cache when indexed fields
  change.
- #2077035 by maciej.zgadzaj: Fixed whitespace recognition for search keys.
- #2071229 by drunken monkey: Fixed use of core search constant.
- #2069023 by drunken monkey: Fixed reaction to disabled modules.
- #2057867 by drunken monkey: Fixed multiple values for taxonomy contextual
  filter.
- #2052701 by drunken monkey, erdos: Fixed cron queue state when disabling the
  module.
- #1878606 by drunken monkey: Fixed labels for boolean facets.
- #2053171 by drunken monkey: Improved tests.
- #1433720 by davidwbarratt, drunken monkey, JvE: Fixed handling of empty
  selection for checkboxes.
- #1414078 by drunken monkey, jaxxed: Fixed revert of exportables.
- #2011396 by drunken monkey: Fixed support for several facets on a single
  field.
- #2050117 by izus, drunken monkey: Updated README.txt to reflect removed
  sub-modules.
- #2041365 by drunken monkey: Fixed error reporting for the MLT contextual
  filter.
- #2044711 by stBorchert, drunken monkey: Fixed facet adapter's
  getCurrentSearch() method to not cache failed attempts.
- #1411712 by Krasnyj, drunken monkey: Fixed notices in Views with groups.
- #1959506 by jantoine, drunken monkey: Fixed "search id" for Views facets
  block display.
- #1902168 by rbruhn, drunken monkey, mpv: Fixed fatal error during Features
  import.
- #2040111 by arpieb: Fixed Views URL argument handler to allow multiple values.
- #1064520 by drunken monkey: Added a processor for highlighting.

Search API 1.7 (2013-07-01):
----------------------------
- #1612708 by drunken monkey: Fixed Views caching with facet blocks.
- #2024189 by drunken monkey: Improved serialization of the query class.
- #1311260 by drunken monkey: Fixed tokenizing of string fields.
- #1246998 by drunken monkey: Fixed deletion of items in read-only indexes.
- #1310970 by drunken monkey: Added improved UI help for determining which
  fields are available for sorting.
- #1886738 by chx, Jelle_S, drunken monkey: Added Role filter data alteration.
- #1837782 by drunken monkey: Fixed enabling of indexes through the Status tab.
- #1382170 by orakili, lliss, drunken monkey: Added OR filtering for Views
  option filter.
- #2012706 by drunken monkey: Fixed $reset parameter for load functions.
- #1851204 by mvc: Fixed exception when indexing book hierarchy.
- #1926030 by stella: Added field machine name to indexes' "Fields" tabs.
- #1879102 by fearlsgroove: Fixed Drush attempting to index 0 items.
- #1999858 by drunken monkey: Cleaned up API documentation for data alterations.
- #2010116 by drunken monkey: Enabled "Index items immediately" for the default
  node index.
- #2013581 by drunken monkey: Added multi-valued field to test module.
- #1288724 by brunodbo, drunken monkey, fearlsgroove: Added option for using OR
  in Views fulltext search.
- #1694832 by drunken monkey: Fixed index field settings getting stale when
  Field API field settings change.
- #1285794 by drunken monkey: Fixed "All" option in Views' exposed "Items per
  page" setting.

Search API 1.6 (2013-05-29):
----------------------------
- #1649976 by Berdir, ilari.stenroth, drunken monkey: Fixed memory error during
  crons run for large indexes.
- #1346276 by drunken monkey: Fixed Tokenizer should only run on fulltext
  fields.
- #1697246 by drunken monkey: Added 'Parse mode' option to views.
- #1993536 by drunken monkey, jpieck: Fixed handling of empty values in
  processors.
- #1992228 by drunken monkey: Fixed current search block for empty keys.
- #1696434 by orakili, ldweeks, drunken monkey: Added Views argument handler for
  all indexed taxonomy term fields.
- #1988238 by esbenvb, drunken monkey: Fixed Views result display for deleted
  entities.
- #872912 by drunken monkey: Expanded and fixed test cases.
- #1760706 by jgraham, das-peter, drunken monkey: Added a flexible way for
  determining whether an index contains entities.

Search API 1.5 (2013-05-04):
----------------------------
- #1169254 by cslavoie, drunken monkey, DYdave: Added transliteration processor.
- #1959088 by drunken monkey: Fixed titles for contextual filters.
- #1792296 by andrewbelcher, drunken monkey: Added a group for Search API hooks.
- #1407844 by nbucknor: Added "exclude" option for Views contextual filters.
- #1278942 by Simon Georges, drunken monkey: Added an option to apply
  entity_access() to Views results.
- #1819412 by drunken monkey: Added clean way for retrieving an index's data
  alterations and processors.
- #1838134 by das-peter, drunken monkey: Added hook_search_api_items_indexed().
- #1471310 by drunken monkey: Fixed handling of unset fields when indexing.
- #1944394 by drunken monkey: Added caching to SearchApiIndex::getFields().
- #1594762 by drunken monkey, alanom, esclapes: Fixed detection of deleted items
  in the Hierarchy data alteration.
- #1702604 by JvE, slucero: Added option for maximum date facet depth.

Search API 1.4 (2013-01-09):
----------------------------
- #1827272 by drunken monkey: Fixed regression introduced by #1777710.
- #1807622 by drunken monkey: Fixed definition of the default node index.
- #1818948 by das-peter: Fixed endless loop in
  search_api_index_specific_items_delayed().
- #1406808 by Haza, drunken monkey: Added support for date popup in exposed
  filters.
- #1823916 by aschiwi: Fixed batch_sise typos.

Search API 1.3 (2012-10-10):
----------------------------
- Patch by mr.baileys: Fixed "enable" function doesn't use security tokens.
- #1318904 by becw, das-peter, orakili, drunken monkey: Added improved handling
  for NULL values in Views.
- #1306008 by Damien Tournoud, drunken monkey: Fixed handling of negative
  facets.
- #1182912 by drunken monkey, sepgil: Added Rules action for indexing entities.
- #1507882 by jsacksick: Added "Exclude unpublished nodes" data alteration.
- #1225620 by drunken monkey: Added Batch API integration for the "Index now"
  functionality.
- #1777710 by dasjo: Remove dependency on $_GET['q'] for determining base paths.
- #1715238 by jsacksick: Fixed fulltext argument handler field list is broken.
- #1414138 by drunken monkey: Fixed internal static index property cache.
- #1253320 by drunken monkey, fago: Fixed improper error handling.

Search API 1.2 (2012-07-07):
----------------------------
- #1368548 by das-peter: Do not index views results by entity id.
- #1422750 by drunken monkey, sepgil: Fixed illegal modification of entity
  objects.
- #1363114 by nbucknor: Fixed inclusion of upper bound in range facets.
- #1580780 by drunken monkey: Fixed default regexps of the Tokenizer.
- #1468678 by znerol: Fixed erroneous use of Drupal multibyte wrapper functions.
- #1600986 by DamienMcKenna: Fixed dependencies of exported search servers.
- #1569874 by cpliakas: Fixed removal/adding of facets when indexed fields are
  changed.
- #1528436 by jsacksick, drunken monkey: Fixed handling of exportable entities.

Search API 1.1 (2012-05-23):
----------------------------
- Fixed escaping of error messages.
- #1330506 by drunken monkey: Removed the old Facets module.
- #1504318 by peximo: Fixed Views pager offset.
- #1141488 by moonray, drunken monkey: Added option to use multiple values with
  contextual filters.
- #1535726 by bojanz, joelpittet: Fixed arguments for
  $service->configurationFormValidate() for empty forms.
- #1400882 by mh86: Fixed "Index hierarchy" for "All parents".

Search API 1.0 (2011-12-15):
----------------------------
- #1350322 by drunken monkey: Fixed regressions introduced with cron queue
  indexing.
- #1352292 by das-peter, drunken monkey: Use Search API specific table groups in
  Views integration.
- #1351524 by das-peter: Made Views result row indexing more robust.
- #1194362 by Damien Tournoud: Fixed click sort added to non-existent Views
  fields.
- #1347150 by drunken monkey: Fixed fields access of Views facets block display.
- #1345972 by Krasnyj, drunken monkey: Added handling of large item amounts to
  trackItemInsert().
- #1324182 by dereine, drunken monkey: Fixed indexing author when node access is
  enabled.
- #1215526 by cpliakas, drunken monkey: Added support for the "Bundle" facet
  dependency plugin.
- #1337292 by drunken monkey: Fixed facet dependency system.

Search API 1.0, RC 1 (2011-11-10):
----------------------------------
API changes:
- #1260834 by drunken monkey: Added a way to define custom data types.
- #1308638 by drunken monkey: Reduce size of stored index settings.
- #1291346 by drunken monkey: Expose SearchApiQuery::preExecute() and
  postExecute().
- #955088 by dereine, drunken monkey: Provide (additional) access functionality.
- #1064884 by drunken monkey: Added support for indexing non-entities.

Others:
- #1304026 by drunken monkey: Utilize Facet API's 'include default facets' key
  in searcher definitions.
- #1231512 by drunken monkey: Use real Relationships instead of level magic in
  Views integration.
- #1260768 by drunken monkey: Move "Search pages" into its own project.
- #1260812 by drunken monkey: Move "Database search" into its own project.
- #1287602 by drunken monkey: Fixed „Index items immediately“ to delay indexing
  on insert, too.
- #1319500 by drunken monkey: Remove items after unsuccessful loads.
- #1297958 by drunken monkey: Fixed wrong facet operator used for range facets.
- #1305736 by drunken monkey: Fixed notice for unset Views group operator.
- #1263214 by drunken monkey: Fixed indexing with „Index items immediately“
  indexes old entity state.
- #1228726 by drunken monkey, mh86: Increased size of 'options' fields in
  database.
- #1295144 by katbailey: Added alter hook for Facet API search keys.
- #1294828 by drunken monkey: Fixed accidental presence of good OOP coding
  standards in Views integration.
- #1291376 by drunken monkey: Expose
  SearchApiFacetapiAdapter::getCurrentSearch().
- #1198764 by morningtime, drunken monkey: Fixed handling of Views filter
  groups.
- #1286500 by drunken monkey: Fixed „Search IDs” setting for facets not saved.
- #1278780 by dereine, drunken monkey: Fixed status field requirement for node
  access.
- #1182614 by katbailey, cpliakas, drunken monkey, thegreat, das-peter: Added
  Facet API integration.
- #1278592 by das-peter: Fixed default view mode for non-entites or entities
  without view modes.
- #1251674 by Nick_vh: Fixed handling of empty fulltext keys in Views.
- #1145306 by Nick_vh, drunken monkey: Fixed handling of multiple filters in the
  database service class.
- #1264164 by das-peter: Fixed the definition of the external data source
  controller's trackItemChange() method.
- #1262362 by drunken monkey: Fixed error handling for orphaned facets.
- #1233426 by atlea: Fixed dirty and queued items don't get removed from the
  tracking table when deleted.
- #1258240 by drunken monkey: Fixed more overlooked entity type assumptions.
- #1213698 by drunken monkey: Added a data alteration for indexing complete
  hierarchies.
- #1252208 by tedfordgif: Fixed superfluous query chars in active facet links.
- #1224564 by drunken monkey: Added user language as a filter in Views.
- #1242614 by jsacksick: Fixed division by zero in drush_search_api_status().
- #1250168 by drunken monkey: Fixed deleted items aren't removed from servers.
- #1236642 by jsacksick, drunken monkey: Fixed stale static cache of
  search_api_get_item_type_info().
- #1237348 by drunken monkey: Added a "Language control" data alteration.
- #1214846 by drunken monkey, Kender: Fixed overlong table names when DB prefix
  is used.
- #1232478 by Damien Tournoud, drunken monkey: Fixed update of field type
  settings for DB backend and index.
- #1229772 by drunken monkey: Fixed order in which items are indexed.
- #946624 by drunken monkey: Adapted to use a cron queue for indexing.
- #1217702 by Amitaibu, drunken monkey: Added documentation on facet URLs.
- #1214862 by drunken monkey: Added bundle-specific fields for related entities.
- #1204964 by klausi: Fixed default index status is not overridden on saving.
- #1191442 by drunken monkey: Fixed facets block view showing only tid.
- #1161532 by drunken monkey: Fixed discerning between delete and revert in
  hook_*_delete().

Search API 1.0, Beta 10 (2011-06-20):
-------------------------------------
API changes:
- #1068342 by drunken monkey: Added a 'fields to run on' option for processors.

Others:
- #1190086 by drunken monkey: Fixed crash in hook_entity_insert().
- #1190324 by drunken monkey: Adapted to API change in Entity API.
- #1168684 by drunken monkey: Added improved tokenizer defaults for English.
- #1163096 by drunken monkey: Fixed cached types for DB servers aren't correctly
  updated.
- #1133864 by agentrickard, awolfey, greg.1.anderson, drunken monkey: Added
  Drush integration.

Search API 1.0, Beta 9 (2011-06-06):
------------------------------------
API changes:
- #1089758 by becw, drunken monkey: Updated Views field handlers to utilize new
  features.
- #1150260 by drunken monkey: Added a way to let processors and data alterations
  decide on which indexes they can run.
- #1138992 by becw, drunken monkey: Added read-only indexes.

Others:
- #1179990 by j0rd: Fixed facet blocks don't correctly respect the "unlimited"
  setting.
- #1138650 by klausi, Amitaibu, drunken monkey: Fixed PHP strict warnings.
- #1111852 by miiimooo, drunken monkey: Added a 'More like this' feature.
- #1171360 by jbguerraz, drunken monkey: Added possibility to restrict the
  options to display in an exposed options filter.
- #1161676 by awolfey, drunken monkey: Added Stopwords processor.
- #1166514 by drunken monkey: Fixed parseKeys() to handle incomplete quoting.
- #1161966 by JoeMcGuire: Added Search API Spellcheck support for Pages.
- #1118416 by drunken monkey: Added option to index entities instantly after
  they are saved.
- #1153298 by JoeMcGuire, drunken monkey: Added option getter and setter to
  Views query handler.
- #1147466 by awolfey: Added excerpt Views field.
- #1152432 by morningtime: Fixed strict warnings in render() functions.
- #1144400 by drunken monkey: Fixed use of entity_exportable_schema_fields() in
  hook_schema().
- #1141206 by drunken monkey: Fixed "quantity" variable for Search page pager.
- #1117074 by drunken monkey: Fixed handling of overlong tokens by DB backend.
- #1124548 by drunken monkey: Fixed syntax error in search_api.admin.inc.
- #1134296 by klausi: Fixed check for NULL in SearchApiDbService->convert().
- #1123604 by drunken monkey, fago: Added generalized "aggregation" data
  alteration.
- #1129226 by drunken monkey: Fixed incorrect handling of facets deactivated for
  some search IDs.
- #1086492 by drunken monkey: Fixed inadequate warnings when using the "Facets
  block" display with wrong base table.
- #1109308 by drunken monkey : Added option to choose between display of field
  or facet name in "Current search" block.
- #1120850 by drunken monkey, fangel: Fixed type of related entities in nested
  lists.

Search API 1.0, Beta 8 (2011-04-02):
------------------------------------
API changes:
- #1012878 by drunken monkey: Added a way to index an entity directly.
- #1109130 by drunken monkey: Added better structure for Views field rendering.

Others:
- #1018384 by drunken monkey: Fixed Views field names to not contain colons.
- #1105704 by drunken monkey: Fixed exposed sorts always sort on 'top' sort.
- #1104056 by drunken monkey: Added "Current search" support for non-facet
  filters.
- #1103814 by drunken monkey: Fixed missing argument for extractFields().
- #1081084 by drunken monkey: Fixed notices in add_fulltext_field alteration.
- #1091074 by drunken monkey, ygerasimov: Added machine names to "related
  entities" list.
- #1066278 by ygerasimov, drunken monkey: Removed
  search_api_facets_by_block_status().
- #1081666 by danielnolde: Fixed PHP notices when property labels are missing.

Search API 1.0, Beta 7 (2011-03-08):
------------------------------------
- #1083828 by drunken monkey: Added documentation on indexing custom data.
- #1081244 by drunken monkey: Fixed debug line still contained in DB backend.

Search API 1.0, Beta 6 (2011-03-04):
------------------------------------
API changes:
- #1075810 by drunken monkey: Added API function for marking entities as dirty.
- #1043456 by drunken monkey: Added form validation/submission for plugins.
- #1048032 by drunken monkey: Added a hook for altering the indexed items.

Others:
- #1068334 by drunken monkey: Added a data alteration for indexing the viewed
  entity.
- #1080376 by drunken monkey: Fixed "Current search" block field names.
- #1076170 by drunken monkey: Added a Views display plugin for facet blocks.
- #1064518 by drunken monkey: Added support for entity-based Views handlers.
- #1080004 by drunken monkey: Fixed confusing "Current search" block layout.
- #1071894 by drunken monkey: Fixed incorrect handling of boolean facets.
- #1078590 by fago: Added check to skip default index creation when installed
  via installation profile.
- #1018366 by drunken monkey: Added option to hide active facet links.
- #1058410 by drunken monkey: Added overhauled display of search results.
- #1013632 by drunken monkey: Added facet support for the database backend.
- #1069184: "Current search" block passes query parameters wrongly.
- #1038016 by fago: Error upon indexing inaccessible list properties.
- #1005532: Adaption to Entity API change (new optionsList() parameter).
- #1057224 by TimLeytens: Problem with entity_uri('file').
- #1051286: Show type/boost options only for indexed fields.
- #1049978: Provide a "More" link for facets.
- #1039250: Improve facet block titles.
- #1043492: Problems with default (exported) entities.
- #1037916 by fago: Updates must not call API functions.
- #1032708 by larskleiner: Notice: Undefined variable: blocks.
- #1032404 by larskleiner: Notice: Undefined index: fields.
- #1032032 by pillarsdotnet: search_api_enable() aborts with a database error
  on install.
- #1026496: status doesn't get set properly when creating entities.
- #1027992 by TimLeytens: Filter indexed items based on bundle.
- #1024194 by TimLeytens: Provide a search block for each page.
- #1028042: Change {search_api_item}.index_id back to an INT.
- #1021664: Paged views results empty when adding facet.
- #872912: Write tests.
- #1013018: Make the "Fulltext field" data alteration more useful.
- #1024514: Error when preprocessing muli-valued fulltext fields.
- #1020372: CSS classes for facets.

Search API 1.0, Beta 5 (2011-01-05):
------------------------------------
API changes:
- #917998: Enhance data alterations by making them objects.
- #991632: Incorporate newly available entity hooks.
- #963062: Make facets exportable.

Others:
- #1018544: includes/entity.inc mentioned in a few places.
- #1011458: Move entity and processor classes into individual files.
- #1012478: HTML in node bodies is escaped in Views.
- #1014548: Add newly required database fields for entities.
- #915174: Remove unnecessary files[] declarations from .info files.
- #988780: Merge of entity modules.
- #997852: Service config oddities.
- #994948: "Add index" results in blank page.
- #993470: Unnecessary warning when no valid keys or filters are given.
- #986412: Notice: Undefined index: value in theme_search_api_page_result().
- #987928: EntityDBExtendable::__sleep() is gone.
- #985324: Add "Current search" block.
- #984174: Bug in Index::prepareProcessors() when processors have not been set.

Search API 1.0, Beta 4 (2010-11-29):
------------------------------------
API changes:
- #976876: Move Solr module into its own project.
- #962582: Cross-entity searches (API addition).
- #939482 by fago: Fix exportables.
- #939092: Several API changes regarding service class methods.
- #939414: Enhanced service class descriptions. [soft API change]
- #939464: Documented Entity API's module and status properties.
- #939092: Changed private members to protected in all classes.
- #936360: Make servers and indexes exportable.

Others:
- #966512: "Time ago" option for Views date fields (+bug fix for missing value).
- #965318: Lots of notices if entities are missing in Views.
- #961210: Hide error messages.
- #963756: Array to string conversion error.
- #961276: Some random bugs.
- #961122: Exportability UI fixes.
- #913858: Fix adding properties that are lists of entities.
- #961210: Don't hide error messages.
- #961122: Display configuration status when viewing entities.
- #889286: EntityAPIController::load() produces WSoD sometimes.
- #958378 by marvil07: "Clear index" is broken
- #955892: Typo in search_api_solr.install.
- #951830: "List of language IDs" context suspicious.
- #939414: Rename "data-alter callbacks" to "data alterations".
- #939460: Views integration troubles.
- #945754: Fix server and index machine name inputs.
- #943578: Duplicate fields on service creation.
- #709892: Invoke hook_entity_delete() on entity deletions.
- #939414: Set fields provided by data-alter callbacks to "indexed" by default.
- #939414: Provide a default node index upon installation.
- #939822 by fago: Support fields.
- #939442: Bad data type defaults [string for fields with options].
- #939482: Override export() to work with "magic" __get fields.
- #939442: Bad data type defaults.
- #939414: Improved descriptions for processors.
- #939414: Removed the "Call hook" data alter callback.
- #938982: Not all SearchApiQuery options are passed.
- #931066 by luke_b: HTTP timeout not set correctly.

Search API 1.0, Beta 3 (2010-09-30):
------------------------------------
- API mostly stable.
- Five contrib modules exist:
  - search_api_db
  - search_api_solr
  - search_api_page
  - search_api_views
  - search_api_facets
